Bug 173900 - [PAL] Move KillRing into PAL
Summary: [PAL] Move KillRing into PAL
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Platform (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Don Olmstead
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-06-27 19:34 PDT by Don Olmstead
Modified: 2017-07-06 13:23 PDT (History)
4 users (show)

See Also:


Attachments
WIP Patch (8.68 KB, patch)
2017-06-28 12:10 PDT, Don Olmstead
no flags Details | Formatted Diff | Diff
Xcode parts (39.12 KB, patch)
2017-06-28 16:36 PDT, Myles C. Maxfield
no flags Details | Formatted Diff | Diff
Patch (27.42 KB, patch)
2017-07-05 19:25 PDT, Don Olmstead
no flags Details | Formatted Diff | Diff
Patch (27.43 KB, patch)
2017-07-05 19:32 PDT, Don Olmstead
no flags Details | Formatted Diff | Diff
Patch (27.51 KB, patch)
2017-07-05 20:04 PDT, Don Olmstead
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Don Olmstead 2017-06-27 19:34:37 PDT
Move KillRing.h to pal/text/KillRing.h.
Comment 1 Don Olmstead 2017-06-28 12:10:37 PDT
Created attachment 314045 [details]
WIP Patch

Changes for non-Apple ports
Comment 2 Myles C. Maxfield 2017-06-28 16:20:14 PDT
Comment on attachment 314045 [details]
WIP Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=314045&action=review

> Source/WebCore/PAL/pal/text/none/KillRingNone.cppSource/WebCore/platform/KillRingNone.cpp:27
>  #include "KillRing.h"

This file should go next to KillRing.h, not in a "none" folder.
Comment 3 Myles C. Maxfield 2017-06-28 16:36:27 PDT
Created attachment 314068 [details]
Xcode parts
Comment 4 Build Bot 2017-06-28 16:42:34 PDT
Attachment 314068 [details] did not pass style-queue:


ERROR: Source/WebCore/PAL/ChangeLog:8:  You should remove the 'No new tests' and either add and list tests, or explain why no new tests were possible.  [changelog/nonewtests] [5]
ERROR: Source/WebCore/ChangeLog:8:  You should remove the 'No new tests' and either add and list tests, or explain why no new tests were possible.  [changelog/nonewtests] [5]
Total errors found: 2 in 15 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 5 Don Olmstead 2017-07-05 19:25:14 PDT
Created attachment 314680 [details]
Patch
Comment 6 Build Bot 2017-07-05 19:27:37 PDT
Attachment 314680 [details] did not pass style-queue:


ERROR: Source/WebCore/PAL/ChangeLog:8:  You should remove the 'No new tests' and either add and list tests, or explain why no new tests were possible.  [changelog/nonewtests] [5]
ERROR: Source/WebCore/PAL/pal/PlatformMac.cmake:6:  Alphabetical sorting problem. "system/mac/KillRingMac.mm" should be before "system/mac/SoundMac.mm".  [list/order] [5]
Total errors found: 2 in 16 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 7 Don Olmstead 2017-07-05 19:32:08 PDT
Created attachment 314682 [details]
Patch
Comment 8 Don Olmstead 2017-07-05 20:04:18 PDT
Created attachment 314686 [details]
Patch
Comment 9 WebKit Commit Bot 2017-07-06 13:23:31 PDT
Comment on attachment 314686 [details]
Patch

Clearing flags on attachment: 314686

Committed r219213: <http://trac.webkit.org/changeset/219213>
Comment 10 WebKit Commit Bot 2017-07-06 13:23:33 PDT
All reviewed patches have been landed.  Closing bug.